Bug 137693 - (whois) "double free or corruption"
Summary: (whois) "double free or corruption"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-30 19:33 UTC by Dams
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 3.2.2-6.FC3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 19:22:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwhois-3.2.2-doublefree.patch (746 bytes, patch)
2004-10-31 00:28 UTC, Miloslav Trmač
no flags Details | Diff

Description Dams 2004-10-30 19:33:23 UTC
Version-Release number of selected component: jwhois(0:3.2.2-6).i386

How reproducible: Always

Steps to Reproduce: Easy : whois 143.248.150.71

Actual Results:
[anvil@gruyere ~]# LC_ALL=en_US.UTF-8 whois 143.248.150.71
[Querying whois.arin.net]
[Redirected to whois.apnic.net]
[Querying whois.apnic.net]
[Redirected to whois.krnic.net]
[Querying whois.krnic.net]
*** glibc detected *** double free or corruption: 0x09a936a0 ***

Comment 1 Warren Togami 2004-10-30 23:21:22 UTC
Confirmed.  Perhaps it is something in about the arbitrary data coming
from the whois over the network?  *bad*


Comment 2 Warren Togami 2004-10-30 23:30:30 UTC
#0  0x006a47a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x006e4955 in raise () from /lib/tls/libc.so.6
#2  0x006e6319 in abort () from /lib/tls/libc.so.6
#3  0x0071da1b in malloc_printerr () from /lib/tls/libc.so.6
#4  0x0071e465 in free () from /lib/tls/libc.so.6
#5  0x08052406 in jwhois_query (wq=0xfef13810, text=0xfef1380c) at
jwhois.c:219
#6  0x08052642 in main (argc=2, argv=0xfef138c4) at jwhois.c:150
#7  0x006d1e33 in __libc_start_main () from /lib/tls/libc.so.6
#8  0x080492d1 in _start ()


Comment 3 Miloslav Trmač 2004-10-31 00:28:21 UTC
Created attachment 105985 [details]
jwhois-3.2.2-doublefree.patch

No, it happens when there is more than one redirection. This patch quiets down
valgrind on FC2, I'll test on FC3t* tomorrow.

Comment 4 Dams 2004-10-31 00:47:25 UTC
Miloslav : tested on fc3t3/rawhide : 

[anvil@gruyere ~]# LC_ALL=en_US.UTF-8 whois 143.248.150.71
[Querying whois.arin.net]
[whois.arin.net]

OrgName:    Asia Pacific Network Information Centre
OrgID:      APNIC
Address:    PO Box 2131
[snip]

Sounds good. Thanks.

Comment 5 Miloslav Trmač 2004-10-31 23:30:21 UTC
Dams, thanks for testing.
Built for rawhide; fixing in FC3 will probably have to be done
in an update.

Comment 6 Miloslav Trmač 2004-11-10 19:22:29 UTC
Fixed in jwhois-3.2.2-6.FC3.1. Thanks.


Note You need to log in before you can comment on or make changes to this bug.